include(FetchContent)

if(NOT DEFINED ANKERLUD_REPO)
    set(ANKERLUD_REPO https://github.com/martinus/unordered_dense.git)
endif ()

FetchContent_Declare(
        unordered_dense
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${ANKERLUD_REPO}
        GIT_TAG v4.4.0
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(unordered_dense)
